Package org.eclipse.emf.cdo.ui

# Interface Authorizer.AuthorizerContext<E>

All Known Implementing Classes:
  `AbstractAuthorizingDialog`

Enclosing class:
  `Authorizer<E>`

public static interface Authorizer.AuthorizerContext<E>
An `authorizer's` context.

Author:
  Eike Stepper
See Also:
  - `AbstractAuthorizingDialog`

## Method Summary

Modifier and Type
Method
Description
`void`
`collectElementOperations(List<Map.Entry<E,org.eclipse.net4j.util.security.operations.AuthorizableOperation>> operations)`
`String`
`getAuthorizationDeniedMessage()`
`void`
`updateUIAfterAuthorization()`
`boolean`
`validate()`

## Method Details

### collectElementOperations

void collectElementOperations(List<Map.Entry<E,org.eclipse.net4j.util.security.operations.AuthorizableOperation>> operations)

### updateUIAfterAuthorization

void updateUIAfterAuthorization()

### getAuthorizationDeniedMessage

String getAuthorizationDeniedMessage()

### validate

boolean validate()